﻿B4J=true
Group=Default Group
ModulesStructureVersion=1
Type=Class
Version=8.9
@EndOfDesignText@
Sub Class_Globals
	Private mSocket As Socket		'Il socket (libreria Network)
	Private mSoloIP As String		'IP (solo numeri, senza http(s) e senza mPorta
	Private mPorta As Int			'mPorta (80, 443 o quella che c'è)
	Public Error As String = ""
End Sub

'Initializes the object. You can add parameters to this method if needed.
Public Sub Initialize()
	mSocket.Initialize("mSocket")
End Sub

Public Sub ConnessioneSocket(IndirizzoCompleto As String)As ResumableSub
		
	Ricava_IP_Porta (IndirizzoCompleto)
	
	Try
		'Metodo Connect del socket mSocket; viene chiamato con IP, mPorta e TimeOut
		'Prova a connettersi ad un dato indirizzo. La connessione avviene in background.
		'Quando la connessione è terminata o è fallita, viene scatenato l'evento "Connected"
		mSocket.Connect(mSoloIP,mPorta,3000)
		wait for mSocket_Connected (Successful As Boolean)
		
		Return Successful
	Catch
		Error=LastException.Message
		Return False
	End Try

End Sub


Sub Ricava_IP_Porta(IndirizzoCompleto As String)
	
	'Pone in mSoloIP solo l'indirizzo senza protocollo http o https
	'e in mPorta solo la Porta (80, 443 o quella che gia c'è)
	
	'Se nell'IP non c'è la Porta finale
	If IndirizzoCompleto.LastIndexOf(":")<6 Then
		'la mette lui di default (80 per http e 443 per https)
		If IndirizzoCompleto.ToLowerCase.StartsWith("https") Then mPorta=443 Else mPorta=80
		mSoloIP=IndirizzoCompleto
	Else
		'se invece la mPorta c'è, la legge
		mPorta=IndirizzoCompleto.SubString(IndirizzoCompleto.LastIndexOf(":")+1)
		'e memorizza mSoloIP (senza la mPorta finale)
		mSoloIP=IndirizzoCompleto.SubString2(0,IndirizzoCompleto.LastIndexOf(":"))
	End If
	'qui si libera dell'eventuale protocollo http e https
	mSoloIP=mSoloIP.ToLowerCase.Replace("https://","").Replace("http://","")
End Sub

	

		

